Subject: Re: [Bitcoin-development] Proposal: remove "getwork" RPC from bitcoind

From: Gregory Maxwell <[email-masked]>
Date: Mon, 19 Aug 2013 13:23:16 -0700

On Mon, Aug 19, 2013 at 1:16 PM, Gregory Maxwell <[email-masked]> wrote:
> I think removing the ability to mine in the stock package would be
> regrettable,

I am naughty and should clarify.  I had ass.u.me.d that Jeff's patch
also removed the internal CPU miner, because doing so is necessary for
actually getting rid of most of the getwork code. It doesn't actually.

Though this doesn't change the fact that the internal miner is mostly
a pretext for integrated mining.  Since it only really works on
testnet it also means our testnet testing using it is not a good test
of the actual production software.  I'd rather remove the internal
miner too, getting rid of the extra code and complexity, and package
up a GBT miner which would actually be usable on the mainnet.